后台项目构造报错:生成此程序集的运行库比当前加载的运行库新

by chenan 2014.8.20 15:57

注:脚本执行有风险,对于客户正式环境请在研发指导下执行。

V3.0后台BE构造时,经常报错:未能加载文件或程序集“XXX”或它的某一个依赖项。生成此程序集的运行库比当前加载的运行库新,无法加载此程序集

原因:依赖了2.0以上高版本生成的DLL

解决办法:

一、将自己的BE的Framework版本改为高版本 即3.5 (目前UBF大部分的DLL均已经使用Framework 3.5了)

配置如下:.csproj项目文件中<PropertyGroup>新增<TargetFrameworkVersion>v3.5</TargetFrameworkVersion>表明此项目使用Framwork版本3.5

二、协调让使用高版本生成的DLL,换成2.0进行生成

 

Tags:

评论 (1) -

chenwilliam wrote at 2019/11/21 14:37:05 #

Continue blogging! It's overcoming the strong situation that make you more grounded and afterward the great circumstances will take after, keep writing on your encounters and we should all force together. We are providing main data to the students at on the net. Our writing service - https://clazwork.com/ benefit is having encountered specialists for making a wide range of undertakings is powerful way.

添加评论



biuquote
微笑得意调皮害羞酷大笑惊讶发呆喜欢可怜尴尬闭嘴噘嘴皱眉伤心抓狂呕吐坏笑漫骂发怒
Loading


RecentComments

评论 RSS

Statistics

989 篇文章
0 个单页
787142 条评论
11 次评分
1395847 次访问
访问统计开始于 2019年12月15日
平均日访问 6809 次
当前 77 人在线